Package it.ernytech.tdlib

## Class TdApi.PageBlockVideo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockVideo

Enclosing class:
  TdApi

    public static class TdApi.PageBlockVideo
    extends TdApi.PageBlock

A video.

### Field Summary

Fields
`TdApi.RichText` `caption` Video caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isLooped` True, if the video should be looped.
`boolean` `needAutoplay` True, if the video should be played automatically.
`TdApi.Video` `video` Video file; may be null.

### Constructor Summary

Constructors
`PageBlockVideo()` Default constructor.
`PageBlockVideo​(TdApi.Video video, TdApi.RichText caption, boolean needAutoplay, boolean isLooped)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### video

    public TdApi.Video video

Video file; may be null.

#### caption

    public TdApi.RichText caption

Video caption.

#### needAutoplay

    public boolean needAutoplay

True, if the video should be played automatically.

#### isLooped

    public boolean isLooped

True, if the video should be looped.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockVideo

    public PageBlockVideo()

Default constructor.

#### PageBlockVideo

    public PageBlockVideo​(TdApi.Video video,
                          TdApi.RichText caption,
                          boolean needAutoplay,
                          boolean isLooped)

Constructor for initialization of all fields.

Parameters:
  `video` - Video file; may be null.
  `caption` - Video caption.
  `needAutoplay` - True, if the video should be played automatically.
  `isLooped` - True, if the video should be looped.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR